//
//  RegistrationKit-Functions.h
//  LLRegistrationKit
//
//  Created by Damien DeVille on 3/17/14.
//  Copyright (c) 2014 Damien DeVille. All rights reserved.
//

#import <Foundation/Foundation.h>

extern const NSUInteger LLRegistrationKitUniqueIdentifierLength;
extern NSString *LLRegistrationKitGenerateUniqueIdentifier(void);

extern NSString *LLRegistrationKitDigest(NSString *uniqueIdentifier, NSString *bundleIdentifier, NSString *versionIdentifier);

extern NSString *LLRegistrationKitRemovePadding(NSString *string);
extern NSString *LLRegistrationKitInsertPadding(NSString *string);

extern NSString *LLRegistrationKitEncodeConfusingCharactersAndInsertGrouping(NSString *string);
extern NSString *LLRegistrationKitDecodeConfusingCharactersAndRemoveGrouping(NSString *string);
