//
//  RegistrationKit-Macros.h
//  LLRegistrationKit
//
//  Created by Damien DeVille on 3/17/14.
//  Copyright (c) 2014 Damien DeVille. All rights reserved.
//

#import <Foundation/Foundation.h>

#define LL_REG_SCOPE_EXIT(function) __attribute__((cleanup(function)))

static inline void LLRegCallScopedBlock(dispatch_block_t const *blockRef) {
	if (*blockRef != NULL) (*blockRef)();
}

#define ll_reg_scoped_block_t dispatch_block_t __attribute__((unused)) LL_REG_SCOPE_EXIT(LLRegCallScopedBlock)
