//
//  LLSpilloDataNetscapeBookmark.h
//  Spillo
//
//  Created by Damien DeVille on 3/12/16.
//  Copyright © 2016 Damien DeVille. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface LLSpilloDataNetscapeBookmark : NSObject

@property (copy, nonatomic) NSString *title;
@property (copy, nonatomic) NSString *desc;

@end

@interface LLSpilloDataNetscapeBookmarkItem : LLSpilloDataNetscapeBookmark

@property (copy, nonatomic) NSString *url;

@end

@interface LLSpilloDataNetscapeBookmarkFolder : LLSpilloDataNetscapeBookmark

@property (readonly, strong, nonatomic) NSArray<LLSpilloDataNetscapeBookmark *> *items;
- (void)appendBookmark:(LLSpilloDataNetscapeBookmark *)item;

@end
