//
//  LLSpilloDataStoreBackupGenerator.h
//  Spillo
//
//  Created by Damien DeVille on 8/16/14.
//  Copyright (c) 2014 Damien DeVille. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@interface LLSpilloDataStoreBackupGenerator : NSObject

- (NSData *)createBackupFromContext:(NSManagedObjectContext *)managedObjectContext error:(NSError **)errorRef;
- (BOOL)restoreBackup:(NSData *)backup inContext:(NSManagedObjectContext *)managedObjectContext error:(NSError **)errorRef;

@end
