//
//  LLSpilloPinboardTag.h
//  Spillo
//
//  Created by Damien DeVille on 4/13/14.
//  Copyright (c) 2014 Damien DeVille. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

#import "LLSpilloData/LLSpilloDataManagedObject.h"

extern NSString * const LLSpilloPinboardTagEntityName;

extern const NSUInteger LLSpilloPinboardTagTitleMaxLength;

@interface LLSpilloPinboardTag : NSManagedObject <LLSpilloDataPinboardObject>

@property (copy, nonatomic) NSString *title;
extern NSString * const LLSpilloPinboardTagTitleKey;

@property (copy, nonatomic) NSString *previousTitle;
extern NSString * const LLSpilloPinboardTagPreviousTitleKey;

@property (strong, nonatomic) NSSet *posts;
extern NSString * const LLSpilloPinboardTagPostsKey;

@property (readonly, assign, nonatomic) NSUInteger postCount;
extern NSString * const LLSpilloPinboardTagPostCountKey;

@end
