//
//  LLSpilloSearch.h
//  Spillo
//
//  Created by Damien DeVille on 4/18/14.
//  Copyright (c) 2014 Damien DeVille. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

#import "LLSpilloData/LLSpilloDataManagedObject.h"

extern NSString * const LLSpilloSearchEntityName;

@interface LLSpilloSearch : NSManagedObject <LLSpilloDataManagedObjectExporting>

@property (copy, nonatomic) NSString *identifier;
extern NSString * const LLSpilloSearchIdentifierKey;

@property (copy, nonatomic) NSString *title;
extern NSString * const LLSpilloSearchTitleKey;

@property (assign, nonatomic) BOOL editable;
extern NSString * const LLSpilloSearchEditableKey;

@property (assign, nonatomic) NSInteger order;
extern NSString * const LLSpilloSearchOrderKey;

@property (assign, nonatomic) BOOL hidden;
extern NSString * const LLSpilloSearchHiddenKey;

@property (copy, nonatomic) NSString *method;
extern NSString * const LLSpilloSearchMethodKey;

@property (copy, nonatomic) NSString *username;
extern NSString * const LLSpilloSearchUsernameKey;

@property (copy, nonatomic) NSString *tags;
extern NSString * const LLSpilloSearchTagsKey;

@property (assign, nonatomic) BOOL authenticated;
extern NSString * const LLSpilloSearchAuthenticatedKey;

@end
