//
//  LLPinboardCredentials+Keychain.h
//  Spillo
//
//  Created by Damien DeVille on 4/13/14.
//  Copyright (c) 2014 Damien DeVille. All rights reserved.
//

#import "LLPinboardCredentials.h"

@interface LLPinboardCredentials (Keychain)

+ (instancetype)findCredentialsInKeychain:(NSString *)username accessGroup:(NSString *)accessGroup error:(NSError **)errorRef;

@property (copy, nonatomic) NSString *keychainAccessGroup;

- (BOOL)storeInKeychain:(NSError **)errorRef;
- (BOOL)removeFromKeychain:(NSError **)errorRef;

@end
