//
//  LLSpilloCollection+RelativeDate.h
//  Spillo
//
//  Created by Damien DeVille on 3/21/15.
//  Copyright (c) 2015 Damien DeVille. All rights reserved.
//

#import <LLSpilloData/LLSpilloData.h>

@interface LLSpilloCollection (RelativeDate)

@property (readonly, assign, nonatomic) BOOL predicateHasRelativeDate;

@end

extern NSString * const LLSpilloCollectionPostRelativeDateKey;

extern NSString * const LLSpilloCollectionRelativeDateHoursKey;
extern NSString * const LLSpilloCollectionRelativeDateDaysKey;
extern NSString * const LLSpilloCollectionRelativeDateWeeksKey;
extern NSString * const LLSpilloCollectionRelativeDateMonthsKey;
extern NSString * const LLSpilloCollectionRelativeDateYearsKey;

extern NSString *LLSpilloCollectionCreateRelativeDateToken(NSNumber *time, NSString *unit);
extern void LLSpilloCollectionParseRelativeDateToken(NSString *relativeDate, NSNumber **timeRef, NSString **unitRef);

extern NSDate *LLSpilloCollectionRelativeDateWithTimeAndUnit(NSNumber *time, NSString *unit);
