//
//  LLSpilloData-Constants.h
//  Spillo
//
//  Created by Damien DeVille on 7/25/14.
//  Copyright (c) 2014 Damien DeVille. All rights reserved.
//

#import <Foundation/Foundation.h>

extern NSString * const LLSpilloDataBundleIdentifier;

extern NSString * const LLSpilloDataErrorDomain;

typedef NS_ENUM(NSInteger, LLSpilloDataErrorCode) {
	LLSpilloDataUnknownError = 0,
	
	LLSpilloDataAuthenticationError = -100,
	LLSpilloDataSearchError = -101,
	LLSpilloDataMisconfigurationError = -102,
	LLSpilloDataNotImplementedError = -103,
	
	LLSpilloDataAlreadyRefreshingError = -200,
	LLSpilloDataMultiplePostsUpdateError = -201,
	LLSpilloDataMultipleTagsUpdateError = -202,
	LLSpilloDataReadOnlyAccountManagerError = -203,
	LLSpilloDataBusyAccountError = -204,
};

extern NSString * const LLSpilloDataUnderlyingErrorsKey;
extern NSString * const LLSpilloDataSucceededResultsKey;

extern NSString * const LLSpilloDataBackupDocumentType;
extern NSString * const LLSpilloDataBookmarkMetadataType;
