//
//  LLSpilloDataPinboardObject.h
//  Spillo
//
//  Created by Damien DeVille on 4/16/14.
//  Copyright (c) 2014 Damien DeVille. All rights reserved.
//

#import <Foundation/Foundation.h>

@protocol LLSpilloDataManagedObjectExporting <NSObject>

@required

- (NSDictionary *)dictionaryRepresentation;
- (void)updateWithDictionaryRepresentation:(NSDictionary *)dictionaryRepresentation;

@end

@protocol LLSpilloDataPinboardObject <LLSpilloDataManagedObjectExporting>

@required

@property (assign, nonatomic) BOOL deleting;
extern NSString * const LLSpilloDataPinboardObjectDeletingKey;

@property (assign, nonatomic) BOOL dirty;
extern NSString * const LLSpilloDataPinboardObjectDirtyKey;

@end
