//
//  LLSpilloDataNetscapeBookmarkExportOperation.h
//  Spillo
//
//  Created by Damien DeVille on 11/25/16.
//  Copyright © 2016 Damien DeVille. All rights reserved.
//

#import <CoreData/CoreData.h>

#import <LLCoreConcurrency/LLCoreConcurrency.h>

@interface LLSpilloDataNetscapeBookmarkExportOperation : LLConcurrentOperation

- (instancetype)initWithManagedObjectContext:(NSManagedObjectContext *)managedObjectContext;

@property (readonly, copy, atomic) NSURL *(^completionProvider)(NSError **errorRef);

@end
