//
//  LLSpilloDataAccount+Private.h
//  Spillo
//
//  Created by Damien DeVille on 10/16/16.
//  Copyright © 2016 Damien DeVille. All rights reserved.
//

#import <LLSpilloData/LLSpilloDataAccount.h>
#import <LLSpilloData/LLSpilloDataAccountManager.h>

@interface LLSpilloDataAccount (Private) <NSSecureCoding>

- (instancetype)initWithType:(LLSpilloDataAccountType)type identifier:(NSString *)identifier;

@property (readwrite, copy, nonatomic) NSString *username;
@property (readwrite, strong, nonatomic) LLSpilloDataAccountPreferences *preferences;
@property (readwrite, assign, nonatomic) BOOL authenticated;
@property (readwrite, assign, nonatomic) BOOL loaded;

@property (assign, nonatomic) LLSpilloDataAccountManagerType managerType;

- (instancetype)initWithDictionaryRepresentation:(NSDictionary *)dictionaryRepresentation;
- (NSDictionary *)dictionaryRepresentation;

@end
