//
//  LLSpilloDataStoreDefaultGenerator.h
//  Spillo
//
//  Created by Damien DeVille on 10/15/16.
//  Copyright © 2016 Damien DeVille. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@protocol LLSpilloDataDefaultItemsGenerator <NSObject>

/*!
	\brief
	Create some default items in the given managed object context.
 */
- (BOOL)createDefaultItemsIfNeeded:(NSManagedObjectContext *)managedObjectContext error:(NSError **)errorRef;

@end
