//
//  LLSpilloPinboardLinkCheckOperation.h
//  Spillo
//
//  Created by Damien DeVille on 8/21/14.
//  Copyright (c) 2014 Damien DeVille. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

#import <LLCoreConcurrency/LLCoreConcurrency.h>

@interface LLSpilloDataLinkCheckerOperation : LLConcurrentOperation

- (instancetype)initWithManagedObjectContext:(NSManagedObjectContext *)managedObjectContext;

@property (readonly, copy, atomic) NSNumber *(^completionProvider)(NSError **errorRef);

/*!
	\brief
	This property is observable but might (and will!) be changed on different threads.
 */
@property (readonly, copy, atomic) NSString *status;

@end
