//
//  LLSpilloDataPinboardPostUpdateOperation.h
//  Spillo
//
//  Created by Damien DeVille on 4/19/14.
//  Copyright (c) 2014 Damien DeVille. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

#import <LLCoreConcurrency/LLCoreConcurrency.h>

@class LLPinboardClient;

@interface LLSpilloDataPinboardPostUpdateOperation : LLConcurrentOperation

- (instancetype)initWithDirtyPosts:(NSArray *)dirtyPosts pinboardClient:(LLPinboardClient *)pinboardClient managedObjectContext:(NSManagedObjectContext *)managedObjectContext;

@property (readonly, copy, atomic) NSArray *(^completionProvider)(NSError **errorRef);

@end
