//
//  LLSpilloDataPinboardSearchOperation.h
//  Spillo
//
//  Created by Damien DeVille on 4/23/14.
//  Copyright (c) 2014 Damien DeVille. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

#import <LLCoreConcurrency/LLCoreConcurrency.h>

@class LLPinboardClient;

@interface LLSpilloDataPinboardSearchOperation : LLConcurrentOperation

- (instancetype)initWithSearchParameters:(NSDictionary *)searchParameters pinboardClient:(LLPinboardClient *)pinboardClient managedObjectContext:(NSManagedObjectContext *)managedObjectContext;

@property (readonly, copy, atomic) NSArray *(^completionProvider)(NSError **errorRef);

@end
